# Wallets Used to manage wallets ## List vault wallets - [GET /v2/vaults/{vaultId}/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_listvaultwallets.md): List all wallets within a vault ## Create a wallet - [POST /v2/vaults/{vaultId}/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_createwallet.md): Create a new HSM or MPC wallet within a vault ## Get a wallet - [GET /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwallet.md): Get a wallet by ID ## Delete a wallet - [DELETE /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_deletewallet.md): Delete a wallet by ID (A wallet can only be deleted if it is in PROVISIONING_FAILED status) ## Update a wallet - [PUT /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_updatewallet.md): Update a wallet's name and description by ID ## Get a wallet nonce/sequence - [GET /v2/vaults/{vaultId}/wallets/{walletId}/sequence](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwalletsequence.md): Get blockchain nonce/sequence of a specific wallet by ID ## Update a wallet's settings - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/settings](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_updatewalletsettings.md): Update a wallet's settings by ID ## List organization wallets - [GET /v2/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_listglobalwallets.md): List all wallets within the organization ## Get a wallet by ID - [GET /v2/wallets/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwalletbyid.md): Get a wallet by its unique ID